# Bannable
Allow models to be bannable in Rails. Designed to work like the [hideable](https://github.com/joecorcoran/hideable) gem.

[![Gem Version](https://badge.fury.io/rb/bannable.svg)](http://badge.fury.io/rb/bannable) [![Build Status](https://travis-ci.org/notrab/bannable.svg)](https://travis-ci.org/notrab/bannable)

## Installation

Add this line to your application's Gemfile:

    gem 'bannable'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bannable

## Usage

Add the following to your models you wish to be bannable

    extend Bannable::ActiveRecord
    bannable

Something like...

```ruby
class User
  extend Bannable::ActiveRecord
  bannable
end
```

You'll then need to run `rails generate bannable:migration Model`. Replacing `Model` with an array of the `Bannable` models.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/bannable/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

## Tests
I need to write some tests. I know.
