# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bannable/version'

Gem::Specification.new do |spec|
  spec.name          = "bannable"
  spec.version       = Bannable::VERSION
  spec.authors       = ["Jamie Barton"]
  spec.email         = ["jamie@codethisway.com"]
  spec.summary       = %q{Ban your ActiveRecord models}
  spec.description   = %q{Easily set ActiveRecord models as banned. Designed to work like the hideable gem.}
  spec.homepage      = "http://github.com/notrab/bannable"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'rake', '~> 10.3'
end
